@echo off
rem oldfonts.bat
if "%1" == "" goto usage
if not "%2" == "" goto usage
if exist %1 goto start
echo Font list file %1 not found
goto end

:usage
echo Convert all font library files in the current directory to the old format
echo 
echo Usage:
echo     oldfonts
echo 
echo Be sure that you have at least 1.2 MB free disk space on the current drive!
goto end

:start
:lj_1500
if not exist lj_0.fli goto lj_h
echo Converting lj_0.fli to lj_1500.fli
fontlib /2 /b300 /f%1 lj_0 lj_1500
if errorlevel 1 goto error
fontlib /t /f%1 lj_1500
if errorlevel 1 goto error
del lj_0.bak
:lj_1643
if not exist lj_h.fli goto lj_1
echo Converting lj_h.fli to lj_1643.fli
fontlib /2 /b300 /f%1 lj_h lj_1643
if errorlevel 1 goto error
fontlib /t /f%1 lj_1643
if errorlevel 1 goto error
del lj_h.bak
:lj_1800
if not exist lj_1.fli goto lj_2
echo Converting lj_1.fli to lj_1800.fli
fontlib /2 /b300 /f%1 lj_1 lj_1800
if errorlevel 1 goto error
fontlib /t /f%1 lj_1800
if errorlevel 1 goto error
del lj_1.bak
:lj_2160
if not exist lj_2.fli goto lj_3
echo Converting lj_2.fli to lj_2160.fli
fontlib /2 /b300 /f%1 lj_2 lj_2160
if errorlevel 1 goto error
fontlib /t /f%1 lj_2160
if errorlevel 1 goto error
del lj_2.bak
:lj_2592
if not exist lj_3.fli goto lj_4
echo Converting lj_3.fli to lj_2592.fli
fontlib /2 /b300 /f%1 lj_3 lj_2592
if errorlevel 1 goto error
fontlib /t /f%1 lj_2592
if errorlevel 1 goto error
del lj_3.bak
:lj_3110
if not exist lj_4.fli goto lj_5a
echo Converting lj_4.fli to lj_3110.fli
fontlib /2 /b300 /f%1 lj_4 lj_3110
if errorlevel 1 goto error
fontlib /t /f%1 lj_3110
if errorlevel 1 goto error
del lj_4.bak
:lj_3732a
if not exist lj_5a.fli goto lj_5b
echo Converting lj_5a.fli to lj_3732a.fli
fontlib /2 /b300 /f%1 lj_5a lj_3732a
if errorlevel 1 goto error
fontlib /t /f%1 lj_3732a
if errorlevel 1 goto error
del lj_5a.bak
:lj_3732b
if not exist lj_5b.fli goto fx_0
echo Converting lj_5b.fli to lj_3732b.fli
fontlib /2 /b300 /f%1 lj_5b lj_3732b
if errorlevel 1 goto error
fontlib /t /f%1 lj_3732b
if errorlevel 1 goto error
del lj_5b.bak
:fx_1200
if not exist fx_0.fli goto fx_h
echo Converting fx_0.fli to fx_1200.fli
fontlib /2 /b240 /f%1 fx_0 fx_1200
if errorlevel 1 goto error
fontlib /t /f%1 fx_1200
if errorlevel 1 goto error
del fx_0.bak
:fx_1315
if not exist fx_h.fli goto fx_1
echo Converting fx_h.fli to fx_1315.fli
fontlib /2 /b240 /f%1 fx_h fx_1315
if errorlevel 1 goto error
fontlib /t /f%1 fx_1315
if errorlevel 1 goto error
del fx_h.bak
:fx_1440
if not exist fx_1.fli goto fx_2
echo Converting fx_1.fli to fx_1440.fli
fontlib /2 /b240 /f%1 fx_1 fx_1440
if errorlevel 1 goto error
fontlib /t /f%1 fx_1440
if errorlevel 1 goto error
del fx_1.bak
:fx_1728
if not exist fx_2.fli goto fx_3
echo Converting fx_2.fli to fx_1728.fli
fontlib /2 /b240 /f%1 fx_2 fx_1728
if errorlevel 1 goto error
fontlib /t /f%1 fx_1728
if errorlevel 1 goto error
del fx_2.bak
:fx_2074
if not exist fx_3.fli goto fx_4
echo Converting fx_3.fli to fx_2074.fli
fontlib /2 /b240 /f%1 fx_3 fx_2074
if errorlevel 1 goto error
fontlib /t /f%1 fx_2074
if errorlevel 1 goto error
del fx_3.bak
:fx_2488
if not exist fx_4.fli goto fx_5
echo Converting fx_4.fli to fx_2488.fli
fontlib /2 /b240 /f%1 fx_4 fx_2488
if errorlevel 1 goto error
fontlib /t /f%1 fx_2488
if errorlevel 1 goto error
del fx_4.bak
:fx_2986
if not exist fx_5.fli goto p6l_0
echo Converting fx_5.fli to fx_2986.fli
fontlib /2 /b240 /f%1 fx_5 fx_2986
if errorlevel 1 goto error
fontlib /t /f%1 fx_2986
if errorlevel 1 goto error
del fx_5.bak
:p6l_900
if not exist p6l_0.fli goto p6l_h
echo Converting p6l_0.fli to p6l_900.fli
fontlib /2 /b180 /f%1 p6l_0 p6l_900
if errorlevel 1 goto error
fontlib /t /f%1 p6l_900
if errorlevel 1 goto error
del p6l_0.bak
:p6l_986
if not exist p6l_h.fli goto p6l_1
echo Converting p6l_h.fli to p6l_986.fli
fontlib /2 /b180 /f%1 p6l_h p6l_986
if errorlevel 1 goto error
fontlib /t /f%1 p6l_986
if errorlevel 1 goto error
del p6l_h.bak
:p6l_1080
if not exist p6l_1.fli goto p6l_2
echo Converting p6l_1.fli to p6l_1080.fli
fontlib /2 /b180 /f%1 p6l_1 p6l_1080
if errorlevel 1 goto error
fontlib /t /f%1 p6l_1080
if errorlevel 1 goto error
del p6l_1.bak
:p6l_1296
if not exist p6l_2.fli goto p6l_3
echo Converting p6l_2.fli to p6l_1296.fli
fontlib /2 /b180 /f%1 p6l_2 p6l_1296
if errorlevel 1 goto error
fontlib /t /f%1 p6l_1296
if errorlevel 1 goto error
del p6l_2.bak
:p6l_1555
if not exist p6l_3.fli goto p6l_4
echo Converting p6l_3.fli to p6l_1555.fli
fontlib /2 /b180 /f%1 p6l_3 p6l_1555
if errorlevel 1 goto error
fontlib /t /f%1 p6l_1555
if errorlevel 1 goto error
del p6l_3.bak
:p6l_1866
if not exist p6l_4.fli goto p6l_5
echo Converting p6l_4.fli to p6l_1866.fli
fontlib /2 /b180 /f%1 p6l_4 p6l_1866
if errorlevel 1 goto error
fontlib /t /f%1 p6l_1866
if errorlevel 1 goto error
del p6l_4.bak
:p6l_2239
if not exist p6l_5.fli goto p6m_0
echo Converting p6l_5.fli to p6l_2239.fli
fontlib /2 /b180 /f%1 p6l_5 p6l_2239
if errorlevel 1 goto error
fontlib /t /f%1 p6l_2239
if errorlevel 1 goto error
del p6l_5.bak
:p6m_1800
if not exist p6m_0.fli goto p6m_h
echo Converting p6m_0.fli to p6m_1800.fli
fontlib /2 /b360 /f%1 p6m_0 p6m_1800
if errorlevel 1 goto error
fontlib /t /f%1 p6m_1800
if errorlevel 1 goto error
del p6m_0.bak
:p6m_1972
if not exist p6m_h.fli goto p6m_1
echo Converting p6m_h.fli to p6m_1972.fli
fontlib /2 /b360 /f%1 p6m_h p6m_1972
if errorlevel 1 goto error
fontlib /t /f%1 p6m_1972
if errorlevel 1 goto error
del p6m_h.bak
:p6m_2160
if not exist p6m_1.fli goto p6m_2
echo Converting p6m_1.fli to p6m_2160.fli
fontlib /2 /b360 /f%1 p6m_1 p6m_2160
if errorlevel 1 goto error
fontlib /t /f%1 p6m_2160
if errorlevel 1 goto error
del p6m_1.bak
:p6m_2592
if not exist p6m_2.fli goto p6m_3
echo Converting p6m_2.fli to p6m_2592.fli
fontlib /2 /b360 /f%1 p6m_2 p6m_2592
if errorlevel 1 goto error
fontlib /t /f%1 p6m_2592
if errorlevel 1 goto error
del p6m_2.bak
:p6m_3110
if not exist p6m_3.fli goto p6m_4
echo Converting p6m_3.fli to p6m_3110.fli
fontlib /2 /b360 /f%1 p6m_3 p6m_3110
if errorlevel 1 goto error
fontlib /t /f%1 p6m_3110
if errorlevel 1 goto error
del p6m_3.bak
:p6m_3732
if not exist p6m_4.fli goto p6m_5
echo Converting p6m_4.fli to p6m_3732.fli
fontlib /2 /b360 /f%1 p6m_4 p6m_3732
if errorlevel 1 goto error
fontlib /t /f%1 p6m_3732
if errorlevel 1 goto error
del p6m_4.bak
:p6m_4479
if not exist p6m_5.fli goto p6h_0
echo Converting p6m_5.fli to p6m_4479.fli
fontlib /2 /b360 /f%1 p6m_5 p6m_4479
if errorlevel 1 goto error
fontlib /t /f%1 p6m_4479
if errorlevel 1 goto error
del p6m_5.bak
:p6h_1800
if not exist p6h_0.fli goto p6h_h
echo Converting p6h_0.fli to p6h_1800.fli
fontlib /2 /b360 /f%1 p6h_0 p6h_1800
if errorlevel 1 goto error
fontlib /t /f%1 p6h_1800
if errorlevel 1 goto error
del p6h_0.bak
:p6h_1972
if not exist p6h_h.fli goto p6h_1
echo Converting p6h_h.fli to p6h_1972.fli
fontlib /2 /b360 /f%1 p6h_h p6h_1972
if errorlevel 1 goto error
fontlib /t /f%1 p6h_1972
if errorlevel 1 goto error
del p6h_h.bak
:p6h_2160
if not exist p6h_1.fli goto p6h_2
echo Converting p6h_1.fli to p6h_2160.fli
fontlib /2 /b360 /f%1 p6h_1 p6h_2160
if errorlevel 1 goto error
fontlib /t /f%1 p6h_2160
if errorlevel 1 goto error
del p6h_1.bak
:p6h_2592
if not exist p6h_2.fli goto p6h_3
echo Converting p6h_2.fli to p6h_2592.fli
fontlib /2 /b360 /f%1 p6h_2 p6h_2592
if errorlevel 1 goto error
fontlib /t /f%1 p6h_2592
if errorlevel 1 goto error
del p6h_2.bak
:p6h_3110
if not exist p6h_3.fli goto p6h_4
echo Converting p6h_3.fli to p6h_3110.fli
fontlib /2 /b360 /f%1 p6h_3 p6h_3110
if errorlevel 1 goto error
fontlib /t /f%1 p6h_3110
if errorlevel 1 goto error
del p6h_3.bak
:p6h_3732
if not exist p6h_4.fli goto p6h_5
echo Converting p6h_4.fli to p6h_3732.fli
fontlib /2 /b360 /f%1 p6h_4 p6h_3732
if errorlevel 1 goto error
fontlib /t /f%1 p6h_3732
if errorlevel 1 goto error
del p6h_4.bak
:p6h_4479
if not exist p6h_5.fli goto p6h_r
echo Converting p6h_5.fli to p6h_4479.fli
fontlib /2 /b360 /f%1 p6h_5 p6h_4479
if errorlevel 1 goto error
fontlib /t /f%1 p6h_4479
if errorlevel 1 goto error
del p6h_5.bak
:p6h_rest
if not exist p6h_r.fli goto ito_0
echo Converting p6h_r.fli to p6h_rest.fli
fontlib /2 /b360 /f%1 p6h_r p6h_rest
if errorlevel 1 goto error
fontlib /t /f%1 p6h_rest
if errorlevel 1 goto error
del p6h_r.bak
:ito_800
if not exist ito_0.fli goto ito_h
echo Converting ito_0.fli to ito_800.fli
fontlib /2 /b160 /f%1 ito_0 ito_800
if errorlevel 1 goto error
fontlib /t /f%1 ito_800
if errorlevel 1 goto error
del ito_0.bak
:ito_876
if not exist ito_h.fli goto ito_1
echo Converting ito_h.fli to ito_876.fli
fontlib /2 /b160 /f%1 ito_h ito_876
if errorlevel 1 goto error
fontlib /t /f%1 ito_876
if errorlevel 1 goto error
del ito_h.bak
:ito_960
if not exist ito_1.fli goto ito_2
echo Converting ito_1.fli to ito_960.fli
fontlib /2 /b160 /f%1 ito_1 ito_960
if errorlevel 1 goto error
fontlib /t /f%1 ito_960
if errorlevel 1 goto error
del ito_1.bak
:ito_1152
if not exist ito_2.fli goto ito_3
echo Converting ito_2.fli to ito_1152.fli
fontlib /2 /b160 /f%1 ito_2 ito_1152
if errorlevel 1 goto error
fontlib /t /f%1 ito_1152
if errorlevel 1 goto error
del ito_2.bak
:ito_1382
if not exist ito_3.fli goto ito_4
echo Converting ito_3.fli to ito_1382.fli
fontlib /2 /b160 /f%1 ito_3 ito_1382
if errorlevel 1 goto error
fontlib /t /f%1 ito_1382
if errorlevel 1 goto error
del ito_3.bak
:ito_1659
if not exist ito_4.fli goto ito_5
echo Converting ito_4.fli to ito_1659.fli
fontlib /2 /b160 /f%1 ito_4 ito_1659
if errorlevel 1 goto error
fontlib /t /f%1 ito_1659
if errorlevel 1 goto error
del ito_4.bak
:ito_1991
if not exist ito_5.fli goto done
echo Converting ito_5.fli to ito_1991.fli
fontlib /2 /b160 /f%1 ito_5 ito_1991
if errorlevel 1 goto error
fontlib /t /f%1 ito_1991
if errorlevel 1 goto error
del ito_5.bak
:done
echo Done
goto end

:error
echo *** An error has occured!!!
:end
